Subject: Re: What's in git.git

From: A Large Angry SCM <[email-masked]>
Date: Wed, 02 Aug 2006 22:15:43 -0700

Broken for me also:
	Suse 9.3
	Ubuntu Hoary
	Ubuntu Breezy

No Gnome(s) here.

Junio C Hamano wrote:
> carbonated beverage <[email-masked]> writes:
> 
>> Any plans on a fix for:
>> http://marc.theaimsgroup.com/?l=git&m=115089393505286&w=2
> 
> Unfortunately, plan needs to be drawn by somebody who sees
> breakage.
> 
>> Commenting out the line mentioned in the reply lets me resize the window and
>> see the bottom panel properly -- but I do have to resize it every time so it
>> doesn't extend past the bottom of the screen.
>>
>> FYI, if it's not easy to reproduct, I'm running it on Debian/stable systems,
>> i386 and x86_64, both with backports.org X servers, using tcl/tk 8.4
> 
> I am running Debian/testing+unstable on i386 and x86_64 with
> tcl8.4 (8.4.12-1.1) and tk8.4 (8.4.12-1), displaying on
> xserver-xorg (1:7.0.22).  I cannot get gitk to misbehave the way
> the quoted post describes.  Even after resizing it to so short
> that the bottom search input and commitdiff area becomes
> invisible, moving the middle separator around gives the lower
> panes back, and both of the scrollbars on the lower panes seem
> to be behaving during that exercise.
> 
> The "workaround" to disable ".ctop conf" feels actively wrong;
> this makes the command forget the dimension from the last
> session, which is not so different from removing ~/.gitk every
> time.
> 
> Could this be some funny interaction between window manager and
> gitk perhaps?  I think my machines run metacity and the
> environment is minimally Gnome.
> 
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>